# Enum Class PanelData.LinkMode

java.lang.Object
java.lang.Enum<PanelData.LinkMode>
jspecview.common.PanelData.LinkMode

All Implemented Interfaces:
  `Serializable, Comparable<PanelData.LinkMode>, Constable`

Enclosing class:
  `PanelData`

public static enum PanelData.LinkMode extends Enum<PanelData.LinkMode>

Author:
  Debbie-Ann Facey, Khari A. Bryan, Craig A.D. Walters, Prof Robert J. Lancashire, Bob Hanson hansonr@stolaf.edu

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AB`
`ABC`
`ALL`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static PanelData.LinkMode`
`getMode(String abc)`
`static PanelData.LinkMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PanelData.LinkMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final PanelData.LinkMode ALL

### NONE

public static final PanelData.LinkMode NONE

### AB

public static final PanelData.LinkMode AB

### ABC

public static final PanelData.LinkMode ABC

## Method Details

### values

public static PanelData.LinkMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PanelData.LinkMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMode

public static PanelData.LinkMode getMode(String abc)